import { type SafeString } from '@ember/template';
import type { IntlShape, MessageDescriptor } from '@formatjs/intl';
import type { PrimitiveType } from 'intl-messageformat';
import Formatter from './-base';
type MessageFormatOptions = Record<string, PrimitiveType>;
/**
 * @private
 * @hide
 */
export default class FormatMessage extends Formatter<any> {
    static readonly type = "message";
    format(intl: IntlShape<string>, stringOrDesc: string, options: MessageFormatOptions & {
        htmlSafe: true;
    }): SafeString;
    format(intl: IntlShape<string>, stringOrDesc: MessageDescriptor, options?: MessageFormatOptions & {
        htmlSafe: boolean;
    }): SafeString;
}
export {};
//# sourceMappingURL=format-message.d.ts.map